//Reports/Trial.js
//javascript functions for trial balance reports

function init()
{
  walkTable();
}

function walkTable()
{
  var tables = document.getElementsByClass('trial');
  for (var i = 0 ; i < tables.length; i++)
  {
    //walk the table rows looking for level = 2 and bold it.
    var tbody = tables[i].getElementsByTagName('tbody');
    var rows = tbody[0].getElementsByTagName('tr');
    for (var j = 0; j < rows.length; j++)
    {
//      rows[j].addEventListener('onclick', drillRow,false);
      rows[j].onclick = drillRow;
    }
  }
}

function drillRow(e)
{
  if (e == null || e == undefined)
  {
    ERROR('e is undefined in drillRow');
    return false;
  }
  var row = this;
  var from = document.getElementById('from').value;
  var to = document.getElementById('to').value;
  var Type = document.getElementById('type').value;
  var account;
  var account_type;
  var spans = row.getElementsByTagName('span');
  for (var i = 0; i < spans.length; i++)
  {
    if (spans[i].hasClass('account_num')) { account = spans[i].innerHTML; }
    else if (spans[i].hasClass('account_type_num')) { account_type = spans[i].innerHTML; }
  }
  var query = 'account_num|=|'+account+';connector|=|AND;date|<=|'+to+';';
  if (Type == 'range')
  {
    query += 'connector|=|AND;date|>=|'+from+';';
  }
  document.getElementById('sql_statement').value = query;
  var form = document.getElementById('drill');
  var Stamp = new Date();
  var something = Stamp.getYear() + "" + Stamp.getMonth() + "" + Stamp.getDate() + "" + Stamp.getHours() + "" + Stamp.getMinutes() + "" + Stamp.getSeconds();
  form.target = something;
  form.submit();
}